html {
  scroll-behavior: smooth;
  width: 100%;
 max-width: 100vw;
}



body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    line-height: 1.6;
    background-color: var(--color-beige);
    color: #000000 !important;
 
    width: 100%;
 max-width: 100vw;
   
}




:root {
    --color-beige: #ebe1d0;
    --color-blushrose: #F4C6C6;
    --color-champangergold: #D8B98A;
    --color-edelweiß: #FDFBF7;
    --color-samtgrau: #5C5C5C;
    --color-salbeigrün: #A8B9A3;
   
}


.fade-in-element {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.fade-in-element.visible {
  opacity: 1;
  transform: translateY(0);
}


section {

  padding-bottom: 10vh;
  padding-top: 10vh;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
      box-shadow: 0 4px 24px rgba(0, 0, 0, 0.08);
}


h1 {
    text-align: center;
  color: var(--color-salbeigrün);
    font-size: clamp(1.7rem, 5vw, 3rem);
    margin-bottom: 20px;
}

h2 {
      font-size: clamp(1rem, 1.3vw, 2.5rem);
}

h3 {
    text-align: center;
}

h6 {
    margin: 0;
    margin-bottom: 1.5rem;
}

a {
  color: #000000;
    text-decoration: none;
}

.highlight-text {
        animation: gradient-move 9s linear infinite;
        background: linear-gradient(90deg, #e57373 0%, var(--color-blushrose) 20%, #ffb199 40%, var(--color-champangergold) 60%, var(--color-salbeigrün) 80%, var(--color-salbeigrün) 100%);
        background-size: 300% 100%;
    background-position: 0% 50%;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;
   
}

@keyframes gradient-move {
    0% {
        background-position: 0% 50%;
    }
    20% {
        background-position: 30% 70%;
    }
    40% {
        background-position: 80% 30%;
    }
    60% {
        background-position: 50% 100%;
    }
    80% {
        background-position: 100% 20%;
    }
    100% {
        background-position: 0% 50%;
    }
}